Bug 235562 - Constructing untaken LOG(Category, ...) arguments slow debug binaries down
Summary: Constructing untaken LOG(Category, ...) arguments slow debug binaries down
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Web Template Framework (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Kimmo Kinnunen
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2022-01-25 02:06 PST by Kimmo Kinnunen
Modified: 2022-02-15 22:54 PST (History)
6 users (show)

See Also:


Attachments
Patch (3.26 KB, patch)
2022-01-25 02:18 PST, Kimmo Kinnunen
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kimmo Kinnunen 2022-01-25 02:06:11 PST
Constructing untaken LOG(Category, ...) arguments slow debug binaries down 
Leads to case-by-case hacking around the problem, which leads to bugs (Why is this LOG(IPCMessages,..) not printed?

Should be consistent with RELEASE_LOG(Category, ...)
Comment 1 Kimmo Kinnunen 2022-01-25 02:18:10 PST
Created attachment 449905 [details]
Patch
Comment 2 Radar WebKit Bug Importer 2022-02-01 02:07:15 PST
<rdar://problem/88318352>
Comment 3 EWS 2022-02-15 22:54:37 PST
Committed r289879 (247317@main): <https://commits.webkit.org/247317@main>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 449905 [details].